import { DomainEvent, DomainEventProps } from '@mobicoop/ddd-library';

export class UserUpdatedDomainEvent extends DomainEvent {
  readonly firstName: string;
  readonly lastName: string;
  readonly email: string;
  readonly phone: string;

  constructor(props: DomainEventProps<UserUpdatedDomainEvent>) {
    super(props);
    this.firstName = props.firstName;
    this.lastName = props.lastName;
    this.email = props.email;
    this.phone = props.phone;
  }
}
