import { ExceptionBase } from '@mobicoop/ddd-library';

export class UserAlreadyExistsException extends ExceptionBase {
  static readonly message = 'User already exists';

  public readonly code = 'USER.ALREADY_EXISTS';

  constructor(cause?: Error, metadata?: unknown) {
    super(UserAlreadyExistsException.message, cause, metadata);
  }
}

export class EmailAlreadyExistsException extends ExceptionBase {
  static readonly message = 'Email already exists';

  public readonly code = 'EMAIL.ALREADY_EXISTS';

  constructor(cause?: Error, metadata?: unknown) {
    super(EmailAlreadyExistsException.message, cause, metadata);
  }
}

export class PhoneAlreadyExistsException extends ExceptionBase {
  static readonly message = 'Phone already exists';

  public readonly code = 'PHONE.ALREADY_EXISTS';

  constructor(cause?: Error, metadata?: unknown) {
    super(PhoneAlreadyExistsException.message, cause, metadata);
  }
}
